/**
 * @file    tui_data.h
 * @brief   ui model data
 * @author  hendrik schutter
 * @date    03.08.2020
 */

#ifndef TUI_DATA_H_
#define TUI_DATA_H_

#include "reHDD.h"

#define COLOR_AREA_STDSCR 1
#define COLOR_AREA_OVERVIEW 2
#define COLOR_AREA_ENTRY 3

#define COLOR_GRAY	8


class TUI_DATA
{
protected:

public:

    TUI_DATA(vector <Drive>* pvecDrives);







private:




    string sCpuUsage;
    string sRamUsage;
    string sLocalTime;

};

#endif  // TUI_DATA_H_